/***********************************************************************
Filename: Event.h
***********************************************************************/
#ifndef _EVENT_H_
#define _EVENT_H_

#include <sys/time.h>
#include <netinet/in.h>
#include <netdb.h>
#include <mrt.h>
/*
#include <timer.h>
*/

/***********************************************************************
***********************************************************************/
typedef struct __TPDEvent__ {
	struct __TPDEvent__	*Next;
	struct timeval			NextStartTime;
	struct timeval			Interval;
	prefix_t			*Prefix;
	char				*DstAddr;
	int				ID;
	int				PacketSize;
	int				TTL;
	int				Running;
} TPDEvent;

// Modify the list of events
extern void	CreateNewEvent(char *host, int interval, int Size,
		int TTL);
extern void	DestroyEvent(TPDEvent *Event);

extern void	AddEvent(TPDEvent *Event);
extern void	RemoveEvent(TPDEvent *Event);
extern TPDEvent	*GetNextEvent(void);

// UII Commands
extern int	AddTraceroute(uii_connection_t *uii, char *HostName,
		int interval);
extern int	AddTracerouteFull(uii_connection_t *uii,
		char *HostName, int interval, int size, int TTL);
extern int	ModifyTracerouteInterval(uii_connection_t *uii,
		int ID, int interval);
extern int	ModifyTracerouteSize(uii_connection_t *uii,
		int ID,	int Size);
extern int	ModifyTracerouteTTL(uii_connection_t *uii,
		int ID, int TTL);
extern int	RemoveTraceroute(uii_connection_t *uii, int ID);
extern int	ShowTraceroutes(uii_connection_t *uii);
extern void	GetTracerouteConfig(void);
extern void	get_config_tpd_traceroute(void);
#endif

